Subject: Re: bug#8857: display-buffer attempt to pop-up frame in batch mode causes "Unknown terminal type" error

From: martin rudalics <[email-masked]>
Date: Fri, 17 Jun 2011 10:50:04 +0200

> Yes. But I think you understand my problem: 'unset doesn't say whether
 > you should pop up a new frame by default or not. It's pretty much what
 > Drew says in #8865, and I tend to agree with him on this issue. I think
 > this special handling of 'unset is cumbersome, and it should simply be a
 > boolean variable with a default of nil or t.

Done.  I have retained the 'unset initialization for `pop-up-windows'
though and introduced a new one for `even-window-heights' since these
variables were non-nil by default.  Please have a look.

martin